Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class NameComponentHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NameComponentHelper

public abstract class NameComponentHelper
extends Object

Many of the operations defined on a naming context take names as parameters. Names have structure. A name is an ordered sequence of components.

A name with a single component is called a simple name; a name with multiple components is called a compound name. Each component except the last is used to name a context; the last component denotes the bound object.

A name component consists of two attributes: the identifier attribute and the kind attribute. Both the identifier attribute and the kind attribute are represented as IDL strings. The kind attribute adds descriptive power to names in a syntax-independent way. Examples of the value of the kind attribute include c_source, object_code, executable, postscript, or " ".

Constructor Summary
`NameComponentHelper()`

Method Summary
`static NameComponent` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, NameComponent that)`
`static NameComponent` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, NameComponent value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameComponentHelper

    public NameComponentHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NameComponent that)

### extract

    public static NameComponent extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static NameComponent read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             NameComponent value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.